# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::UChar Struct Reference

Unicode character. More...

`#include <ustring.h>`

Collaboration diagram for KJS::UChar:

[legend]
List of all members.

## Public Member Functions

| UChar ()
| Construct a character with value 0.
| UChar (unsigned char h, unsigned char l)
| Construct a character with the value denoted by the arguments.
| UChar (unsigned short u)
| Construct a character with the given value.
| UChar (const UCharReference &c)
unsigned char | high () const
unsigned char | low () const
unsigned short | unicode () const
UChar | toLower () const
UChar | toUpper () const

## Static Public Attributes

UChar | null
| A static instance of UChar(0).

## Friends

class | UCharReference
class | UString
bool | operator== (const UChar &c1, const UChar &c2)
bool | operator== (const UString &s1, const char *s2)
bool | operator< (const UString &s1, const UString &s2)

## Detailed Description

Unicode character.

UChar represents a 16 bit Unicode character. It's internal data representation is compatible to XChar2b and QChar. It's therefore possible to exchange data with X and Qt with shallow copies.

Definition at line 51 of file ustring.h.

## Constructor & Destructor Documentation

KJS::UChar::UChar | ( |  | ) | `[inline]`

| Construct a character with value 0. Definition at line 103 of file ustring.h. Referenced by toLower(), and toUpper().

KJS::UChar::UChar | ( | unsigned char | h,
|  | unsigned char | l
| ) | `[inline]`

Construct a character with the value denoted by the arguments.

Parameters:

  h | higher byte
  l | lower byte

Definition at line 104 of file ustring.h.

KJS::UChar::UChar | ( | unsigned short | u | ) | `[inline]`

Construct a character with the given value.

Parameters:

  u | 16 bit Unicode value

Definition at line 105 of file ustring.h.

## Member Function Documentation

unsigned char KJS::UChar::high | ( |  | ) | const`[inline]`

Returns:
  The higher byte of the character.

Definition at line 71 of file ustring.h.

unsigned char KJS::UChar::low | ( |  | ) | const`[inline]`

Returns:
  The lower byte of the character.

Definition at line 75 of file ustring.h.

Referenced by KJS::UString::ascii().

unsigned short KJS::UChar::unicode | ( |  | ) | const`[inline]`

Returns:
  the 16 bit Unicode value of the character

Definition at line 79 of file ustring.h.

Referenced by KJS::UCharReference::unicode().

UChar UChar::toLower | ( |  | ) | const

Returns:
  The character converted to lower case.

Definition at line 131 of file ustring.cpp.

References UChar().

Referenced by KJS::UCharReference::toLower().

UChar UChar::toUpper | ( |  | ) | const

Returns:
  The character converted to upper case.

Definition at line 140 of file ustring.cpp.

References UChar().

Referenced by KJS::UCharReference::toUpper().

## Member Data Documentation

UChar UChar::null `[static]`

| A static instance of UChar(0). Definition at line 121 of file ustring.cpp.

The documentation for this struct was generated from the following files:

- ustring.h
- ustring.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:33 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001